#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')

export MONO_SHARED_DIR=$(CURDIR)
export MONO_PATH=/usr/lib/mono/4.5

DEB_CLI_API_VERSION = 2.99

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename

override_dh_clistrip:
	dh_clistrip -i --dbg-package=mono-basic-dbg

override_dh_makeclilibs:
	dh_makeclilibs -i -m $(DEB_CLI_API_VERSION)

override_dh_clideps:
	dh_clideps --exclude-moduleref=kernel32 --exclude-moduleref=ole32.dll

override_dh_clean:
	rm -f vbnc/vbnc/vbnc.Errors.resources
	rm -f source-stamp
	dh_clean

override_dh_auto_test:

override_dh_auto_configure: source-stamp
	dh_auto_configure

source: source-stamp
source-stamp:
	cd $(DEBIAN_DIR) && tar cJf mono-basic-source.tar.xz --exclude=mono-basic-source.tar.xz -C ../.. $$(cd ..; basename $$(pwd))
	touch $@

%:
	dh $@ --with cli
